require 'factory_girl_rails'
require 'weather-model/version'

Dir[File.dirname(__FILE__) + '/weather-model/*.rb'].each { |file| require file }

module WeatherModel
  def self.set_ohm redis
    Ohm.redis = redis
  end
end

WeatherModel::SourceSchema.sorts.each { |sort| WeatherModel.const_set(sort, Module.new)}
WeatherModel::SourceSchema.constants.each do |source|
  settings = WeatherModel::SourceSchema.const_get(source)
  WeatherModel.const_get(settings[:sort]).const_set(source, Class.new(WeatherModel::Storer::Mysql)).use_settings(settings)
end
